function FileData_Pairs(x)
{
x.t("example","figure");
x.t("creation","figure");
x.t("unshared","state");
x.t("delivery","acknowledgement");
x.t("delivery","figure");
x.t("authenticating","users");
x.t("tree","figure");
x.t("failover","figure");
x.t("failover","process");
x.t("persistent","messages");
x.t("persistent","message");
x.t("topic","multiple");
x.t("topic","queue");
x.t("topic","selectors");
x.t("topic","figure");
x.t("deadlock","across");
x.t("current","second");
x.t("propagating","subscribers");
x.t("deployment","architecture");
x.t("state","failover");
x.t("state","figure");
x.t("sample","multicast");
x.t("acknowledgement","figure");
x.t("multiple","destinations");
x.t("transports","ems");
x.t("queue","multiple");
x.t("queue","figure");
x.t("rendezvous","transports");
x.t("jms","1.0.2b");
x.t("jms","1.1");
x.t("servers","unshared");
x.t("servers","shared");
x.t("publish","subscribe");
x.t("recovered","server");
x.t("bidirectionality","corresponding");
x.t("ems","server");
x.t("subscribe","messages");
x.t("queues","figure");
x.t("path","figure");
x.t("overlap","figure");
x.t("methods","authenticating");
x.t("checking","permissions");
x.t("figures","figures");
x.t("figures","tibco");
x.t("figures","figure");
x.t("decision","tree");
x.t("reliable","message");
x.t("flow","control");
x.t("permissions","decision");
x.t("permissions","figure");
x.t("second","servers");
x.t("1.0.2b","programming");
x.t("failed","primary");
x.t("backup","servers");
x.t("backup","figure");
x.t("messages","figure");
x.t("messages","published");
x.t("messages","sent");
x.t("1.1","programming");
x.t("control","deadlock");
x.t("software","figures");
x.t("unique","path");
x.t("multi-hop","figure");
x.t("selectors","example");
x.t("non-persistent","message");
x.t("groups","permissions");
x.t("consumer","creation");
x.t("benefits","multicast");
x.t("primary","backup");
x.t("primary","server");
x.t("tibco","software");
x.t("message","delivery");
x.t("message","consumer");
x.t("authorization","tibco");
x.t("multicast","deployment");
x.t("multicast","messages");
x.t("multicast","message");
x.t("multicast","figure");
x.t("architecture","figure");
x.t("figure","unshared");
x.t("figure","persistent");
x.t("figure","current");
x.t("figure","sample");
x.t("figure","rendezvous");
x.t("figure","jms");
x.t("figure","publish");
x.t("figure","recovered");
x.t("figure","methods");
x.t("figure","reliable");
x.t("figure","flow");
x.t("figure","permissions");
x.t("figure","failed");
x.t("figure","non-persistent");
x.t("figure","benefits");
x.t("figure","primary");
x.t("figure","message");
x.t("figure","multicast");
x.t("figure","dual");
x.t("figure","smartsockets");
x.t("figure","routing");
x.t("figure","bridging");
x.t("figure","users");
x.t("figure","zones");
x.t("figure","routes");
x.t("figure","point-to-point");
x.t("programming","model");
x.t("process","figure");
x.t("subscribers","figure");
x.t("becomes","backup");
x.t("dual","state");
x.t("smartsockets","transports");
x.t("shared","state");
x.t("published","topic");
x.t("routing","topic");
x.t("routing","propagating");
x.t("routing","queues");
x.t("routing","authorization");
x.t("destinations","figure");
x.t("global","destinations");
x.t("bridging","topic");
x.t("bridging","queue");
x.t("two","threads");
x.t("users","checking");
x.t("users","groups");
x.t("zones","overlap");
x.t("zones","multi-hop");
x.t("zones","one-hop");
x.t("model","figure");
x.t("corresponding","destinations");
x.t("routes","bidirectionality");
x.t("routes","unique");
x.t("routes","global");
x.t("across","two");
x.t("point-to-point","messages");
x.t("sent","queue");
x.t("one-hop","figure");
x.t("threads","figure");
x.t("server","figure");
x.t("server","becomes");
}
